{% extends 'tests/base.html' %}

{% block title %} | {{ test.name }} | {{ session.name }} {% endblock %}

{% block content %}
    <a href="{% url 'edit_test' test_id=test.id %}" class="btn btn-link float-left text-dark">
        <i class="fa fa-arrow-left mr-2"></i>{{ test.name }} Details
    </a>
    <div class="container">
        <h1 class="m-3 text-center">{{ test.name }} Summary</h1>
        <div class="row">
           <div class="col-3">
               <form method="GET" class="my-3">
                   <div class="form-group">
                       <label for="group">
                           Filter by group:
                       </label>
                       <select name="group" class="form-control">
                           {% for g in groups %}
                               {% if group == g.name %}
                                   <option selected value="{{ g.name }}">{{ g.name }}</option>
                               {% else %}
                                   <option value="{{ g.name }}">{{ g.name }}</option>
                               {% endif %}
                           {% endfor %}
                       </select>
                   </div>
                   <div class="form-group">
                       <label for="emails">
                           Filter by emails:
                       </label>
                       <textarea name="emails" class="form-control" rows="3" cols="30">{{ emails }}</textarea>
                       <small class="form-text text-muted">Newline separated</small>
                   </div>
                   <button class="btn btn-primary">
                       Go
                   </button>
               </form>
               <a class="btn btn-secondary mt-3" href="?{{ query.urlencode }}">
                   Export CSV
               </a>
           </div>
            <div class="col">
                <div class="list-group">
                    {% for user, passed in users_passed %}
                        <div class="list-group-item d-flex flex-row align-items-center justify-content-between">
                            <h5 class="mb-1">{{ user.get_full_name }}</h5>
                            {% if passed == "PASSED" %}
                                <span class="btn btn-success disabled">Passed</span>
                            {% elif passed == "FAILED" %}
                                <span class="btn btn-danger disabled">Failed</span>
                            {% else %}
                                <span class="btn btn-info disabled">Not taken</span>
                            {% endif %}
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
